${EVINCE}: ${POPPLER} ${LIBGNOMEUI} ${GNOME_ICON_THEME} ${GNOME_DOC_UTILS} ${TETEX_SRC} ${ESPGS} ${T1LIB}
-${DBUS_GLIB}: ${DBUS}
+${DBUS}: ${EXPAT} ${LIBXML2} ${XORG_LIBS}
+${GLIB}: ${PCRE}
+${DBUS_GLIB}: ${DBUS} ${GLIB} ${EXPAT}
${EGGDBUS}: ${DBUS_GLIB}
${GOBJECT_INSTROSPECTION}: ${GLIB} ${LIBFFI}
${POLKIT}: ${GOBJECT_INSTROSPECTION} ${EGGDBUS}
${LIBXML2}: ${PYTHON}
${DOCBOOK_XML}: ${LIBXML2}
${DOCBOOK_XSL}: ${LIBXML2}
+${LIBXSLT}: ${LIBXML2}
+${XMLTO}: ${LIBXSLT} ${DOCBOOK_XML} ${DOCBOOK_XSL}
${EMACS}: ${GTK}
+
GNASH=" gnash-0.8.5"
GIMP="gimp-2.6.6"
GUTENPRINT="gutenprint-5.2.3"
-GLIB="glib-2.22.3"
+GLIB="glib-2.22.4"
GTK="gtk+-2.14.7"
GTK_ENGINES="gtk-engines-2.18.4"
GLITZ="glitz-0.5.6"
GUILE="guile-1.8.7"
GZIP="gzip-1.3.12"
-HAL="hal-0.5.9.1"
+HAL="hal-0.5.12"
+HAL_INFO="hal-info-20090414"
HELP2MAN="help2man-1.36.4"
HICOLOR_ICON_THEME="hicolor-icon-theme-0.11"
HTTPD="httpd-2.2.8" # Apache
LAME="lame-3.97"
LCMS="lcms-1.18a"
LESS="less-436"
-LESSTIF="lesstif-0.95.0"
+LESSTIF="lesstif-0.95.2"
LFS_BOOTSCRIPTS="lfs-bootscripts-20070813"
LIBA52="a52dec-0.7.4"
LIBART="libart_lgpl-2.3.20"
LIBSOUP="libsoup-2.4.1"
LIBXML2="libxml2-2.7.6"
LIBXSLT="libxslt-1.1.26"
-LIBUSB="libusb-0.1.10a"
+LIBUSB="libusb-1.0.2"
+LIBUSB_COMPAT="libusb-compat-0.1.3"
LIBGPHOTO2="libgphoto2-2.1.99"
LIBXKLAVIER="libxklavier-2.91"
LIBOIL="liboil-0.3.15"
LIBTHEORA="libtheora-1.0"
LIBSPF2="libspf2-1.2.5"
LIBNOTIFY="libnotify-0.4.4"
+LIBPTHREAD_STUBS="libpthread-stubs-0.1"
LIBWNCK="libwnck-2.16.1"
LILYPOND="lilypond-2.12.2"
LTSP_UTILS="ltsp-utils-0.25-0"
UNRAR="unrar-3.7.8"
UNZIP="unzip-5.52"
UPSTART="upstart-0.6.3"
+USBUTILS="usbutils-0.86"
UTIL_LINUX_NG="util-linux-ng-2.16.1"
UW_IMAP="imap-2004g"
LIBXAU=libXau-1.0.5
LIBXDMCP=libXdmcp-1.0.3
XBITMAPS=xbitmaps-1.1.0
+LIBDRM=libdrm-2.4.14
+MESALIB=MesaLib-7.6
XCURSOR_THEMES=xcursor-themes-1.0.2
XKEYBOARD_CONFIG=xkeyboard-config-1.7
LUIT=luit-1.0.4
XORG_SERVER=xorg-server-1.7.1
+XMLTO="xmlto-0.0.23"
XMLTOMAN="xmltoman-0.4"
XVIDCORE="xvidcore-1.2.2"
XZ_UTILS="xz-4.999.9beta"
shm /dev/shm tmpfs defaults 0 0
EOF
-echo "Creating basic /etc/profile"
+echo "Creating basic /etc/profile and /etc/profile.d"
+install -v -m755 -d ${LFS}/etc/profile.d
cat > ${LFS}/etc/profile << "EOF"
#!/bin/sh
# /etc/profile
+++ /dev/null
-#!/bin/sh
-
-# dbus
-
-# Source functions library
-source /etc/rc.d/init.d/functions
-
-log_script_name "$0 $*"
-
-dbus_start() {
- if statusproc dbus-daemon | grep "not running" 1> /dev/null 2>&1; then
- if [ -f /var/run/dbus/pid ]; then
- rm /var/run/dbus/pid
- fi
- if [ -f /var/run/dbus/system_bus_socket ]; then
- rm /var/run/dbus/system_bus_socket
- fi
- else
- echo "Already running..."
- return ${EXIT_CODE_WARNING}
- fi
-
- loadproc /usr/bin/dbus-daemon --config-file=/etc/dbus-1/system.conf
-
- return $?
-}
-
-
-case "$1" in
- start)
- cmd_run_log_box_warn "D-Bus Messagebus Daemon start" dbus_start
- ;;
-
- stop)
- cmd_run_log_box_warn "D-Bus Messagebus Daemon stop" killproc dbus-daemon &&
- rm /var/run/dbus/pid &&
- rm /var/run/dbus/system_bus_socket
- ;;
-
- status)
- statusproc dbus-daemon
- ;;
-
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
-
- *)
- echo "Usage: $0 {restart|start|status|stop}"
- exit ${EXIT_CODE_FAILURE}
- ;;
-esac
-
-exit $?
+++ /dev/null
-#!/bin/sh
-
-# hald
-
-# Source functions library
-source /etc/rc.d/init.d/functions
-
-log_script_name "$0 $*"
-
-case "$1" in
- start)
- cmd_run_log_box_warn "HAL Daemon start" loadproc /usr/sbin/hald --use-syslog
- ;;
-
- stop)
- cmd_run_log_box_warn "HAL Daemon stop" killproc /usr/sbin/hald
- ;;
-
- status)
- statusproc hald
- ;;
-
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
-
- *)
- echo "Usage: $0 {restart|start|status|stop}"
- exit ${EXIT_CODE_FAILURE}
- ;;
-esac
-
-exit $?
+++ /dev/null
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-hv_groupadd -g 18 messagebus
-hv_useradd -c D-BUS-Message-Daemon-User -d /dev/null \
- -u 18 -g messagebus -s /bin/false messagebus
-
-cd ${LFS_TMP}/${1}-build
-../${1}/configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var
-make
-make install
-ldconfig
-
-# Bootscript
-install -v -m740 ${SCRDIR}/bootscripts/dbus /etc/rc.d/init.d
-
-# script-name start stop
-bootscript_add_rc3 dbus 92 20
-
-# Starting the session daemon here has the added bonus that it will exit
-# when you log out of your GNOME session. If you wish to start the daemon
-#here, use the following command instead of the one shown above:
-######echo "exec dbus-launch --exit-with-session gnome-session" >> ~/.xinitrc
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-hv_groupadd -g 19 haldaemon
-hv_useradd -c HAL-Daemon-User -d /dev/null -u 19 \
- -g haldaemon -s /bin/false haldaemon
-
-cd ${LFS_TMP}/${1}-build
-../${1}/configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --libexecdir=/usr/lib/hal \
- --localstatedir=/var \
- --with-hwdata=/usr/share/pciutils/pci.ids
-make
-make install
-install -v -m755 -d /var/run/hald
-ldconfig
-
-# Bootscript
-install -v -m740 ${SCRDIR}/bootscripts/hald /etc/rc.d/init.d
-
-# script-name start stop
-bootscript_add_rc3 hald 93 19
-
-# If the system-wide D-BUS daemon was running during the
-# installation of HAL, ensure you stop and restart the
-# D-BUS daemon before attempting to start the hald daemon.
-#/etc/rc.d/init.d/dbus restart
-
-# Starting daemon
-#/etc/rc.d/init.d/hal start
-
-exit $?
set -o errexit
# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
# Reading system configuration informations, functions and package versions.
source ../sysinfos
source ../functions
source ../packages-list
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
# Applying patches (if any)
-apply_patches ${1}
+apply_patches ${PACKAGE}
-cd ${LFS_TMP}/${1}
+cd ${LFS_TMP}/${PACKAGE}
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --disable-build-docs
+ ${CONFIGURE_OPTS}
make
make install
+ldconfig
-hv_groupadd -g 14 usb
+cat > /etc/udev/rules.d/23-usb.rules << "EOF"
+# Set group ownership for raw USB devices
+SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", GROUP="usb"
+EOF
# Checking if string exists
-if ! grep "/proc/bus/usb" /etc/fstab 1> /dev/null 2>&1; then
- echo "usbfs /proc/bus/usb usbfs ddevgid=14,devmode=0660 0 0" >> /etc/fstab
-fi
-
-ldconfig
+#if ! grep "/proc/bus/usb" /etc/fstab 1> /dev/null 2>&1; then
+# echo "usbfs /proc/bus/usb usbfs ddevgid=14,devmode=0660 0 0" >> /etc/fstab
+#fi
exit $?
+++ /dev/null
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-
-# Xfree86 may have a problem with sys/kd.h installed with some recent versions of
-# Glibc. This has recently been fixed in LFS SVN. Execute the following commands
-# to work around a broken kd.h file. The grep command is to ensure the modification
-# is only made if it is needed:
-grep "__undef_LINUX" \
- /usr/include/sys/kd.h 2>&1 > /dev/null || \
- sed -i.bak '/X.h/i #include <linux/types.h>' \
- programs/Xserver/hw/xfree86/os-support/linux/lnx_agp.c
-
-# When building XFree86, you should create a shadow directory of symbolic links for the compiled code:
-make -C config/util -f Makefile.ini lndir
-
-# Now create the shadow tree:
-cd ../${1}-build
-../${1}/config/util/lndir ../${1}
-
-# Creating host.def
-# Although XFree86 will compile without a host.def file, the following file is
-# recommended for customizing the installation.
-cat > config/cf/host.def << "EOF"
-/* host.def */
-/* System Related Information. */
-#define DefaultGcc2i386Opt -O2 -fomit-frame-pointer -march=_MACHINE_ARCHITECTURE_
-
-/* The following definitions are normally set properly by XFree86's scripts.
- * You can uncomment them if you want to make sure. */
-#define HasMTRRSupport YES /* Enabled in kernel see kernel docs */
-#define HasMMXSupport YES /* Any i586 or above */
-#define HasKatmaiSupport YES /* PIII SSE instuctions */
-#define Has3DNowSupport NO /* AMD instructions */
-
-/* This setting reduces compile time a little by omitting rarely used input
- * devices. You can find the complete list in config/cf/xfree86.cf */
-#define XInputDrivers mouse void
-
-/* VIDEO DRIVERS */
-#define XF86CardDrivers vesa vga _XF86_CARD_DRIVER_
-
-/* FONT SERVER AND LIBRARY SETTINGS */
-/* These setting should be set by default, but we are making sure. */
-#define BuildFontServer YES /* Need for GhostScript Print Server */
-#define SharedLibFont YES
-#define CompressAllFonts YES
-#define GzipFontCompression YES
-
-/* These setting ensure we use our libraries */
-#define HasFreetype2 YES
-#define HasFontconfig YES
-#define HasExpat YES
-#define HasLibpng YES
-#define HasZlib YES
-#define HasNCurses YES
-
-/* The font path can be redefined in the XF86Config file */
-#define DefaultFontPath $(FONTDIR)/misc/,$(FONTDIR)/75dpi/,\
-$(FONTDIR)/100dpi/,$(FONTDIR)/Type1,$(FONTDIR)/local,\
-$(FONTDIR)/TrueType,$(FONTDIR)/CID,$(FONTDIR)/Speedo
-
-/* INTERNATIONAL FONTS. Change to YES if you need any of them. These are
- * the defaults. */
-#define BuildCyrillicFonts NO
-#define BuildArabicFonts NO
-#define BuildISO8859_6Fonts NO
-#define BuildGreekFonts NO
-#define BuildISO8859_7Fonts NO
-#define BuildHebrewFonts NO
-#define BuildISO8859_8Fonts NO
-#define BuildKOI8_RFonts NO
-#define BuildJapaneseFonts NO
-#define BuildJISX0201Fonts NO
-#define BuildKoreanFonts NO
-#define BuildChineseFonts NO
-
-/* DOCUMENTATION SETTINGS */
-/* These setting are the defaults. */
-#define BuildLinuxDocHtml NO /* X Docs in Html format */
-#define BuildLinuxDocPS NO /* X Docs in PostScript format */
-#define BuildAllSpecsDocs NO /* Various docs */
-#define BuildHtmlManPages NO
-/* Linux Distribution Information - Not essential that it is totally right.*/
-#define LinuxDistribution hvlinux
-
-/* Disabling IPv6 support, as it causes a problem with xdm. */
-#define BuildIPv6 NO
-
-/* GENERAL SETTINGS: You generally want to leave these alone when
- * building X on an LFS system */
-#define GccWarningOptions -pipe
-#define TermcapLibrary -lncurses
-#define XprtServer YES /* Needed by realplayer */
-#define XnestServer YES
-#define XAppLoadDir EtcX11Directory/app-defaults
-#define VarLibDir /var/lib
-#define XFree86Devel NO
-#define FSUseSyslog YES
-#define ThreadedX YES
-#define HasPam NO
-#define SystemManDirectory /usr/share/man
-#define HasLibCrypt YES
-#define InstallXinitConfig YES
-#define InstallXdmConfig YES
-#define ForceNormalLib YES
-#define BuildSpecsDocs NO
-EOF
-
-sed -i -e "s!_MACHINE_ARCHITECTURE_!${MACHINE_ARCHITECTURE}!g" config/cf/host.def
-sed -i -e "s!_XF86_CARD_DRIVER_!${XF86_CARD_DRIVER}!g" config/cf/host.def
-
-sed -i 's:^.*asm.*$:# define PAGE_MASK (~(getpagesize() - 1)):' \
- ../${1}/programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c
-
-sed -i -e "s@^#include <linux/config.h>@/* & */@" \
- `grep -lr linux/config.h ../${1}`
-echo "make World"
-make World
-
-echo "make install"
-make install
-echo "make install.man"
-make install.man
-ldconfig
-
-ln -svfT /usr/X11R6/bin /usr/bin/X11
-ln -svfT /usr/X11R6/lib/X11 /usr/lib/X11
-ln -svfT /usr/X11R6/include/X11 /usr/include/X11
-
-cat > /etc/X11/XF86Config << "EOF"
-# XF86Config
-#
-# **********************************************************************
-# Files section.
-# **********************************************************************
-Section "Files"
- RgbPath "/usr/X11R6/lib/X11/rgb"
- ModulePath "/usr/X11R6/lib/modules" # Module search path
- FontPath "_HV_FONTS_PATH_/TrueType"
-
- # Standard XFree86 Fonts
- FontPath "/usr/X11R6/lib/X11/fonts/TTF"
- FontPath "/usr/X11R6/lib/X11/fonts/Type1"
- FontPath "/usr/X11R6/lib/X11/fonts/misc/:unscaled"
- FontPath "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
- FontPath "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
- FontPath "/usr/X11R6/lib/X11/fonts/local"
- FontPath "/usr/X11R6/lib/X11/fonts/Speedo"
- FontPath "/usr/X11R6/lib/X11/fonts/misc/"
- FontPath "/usr/X11R6/lib/X11/fonts/100dpi/"
- FontPath "/usr/X11R6/lib/X11/fonts/75dpi/"
-EndSection
-
-# **********************************************************************
-# Dynamically loadable modules section.
-# **********************************************************************
-Section "Module"
- Load "dbe" # Double buffer extension
-
- # This loads the miscellaneous extensions module, and disables
- # initialisation of the XFree86-DGA extension within that module.
- SubSection "extmod"
- Option "omit xfree86-dga" # don't initialise the DGA extension
- EndSubSection
-
- # This loads the Type1 and FreeType font modules
- Load "type1"
- Load "speedo"
- Load "freetype"
-
- Load "glx"
- Load "dri"
-EndSection
-
-# **********************************************************************
-# Input devices.
-# **********************************************************************
-Section "InputDevice"
- Identifier "Keyboard1"
- Driver "keyboard"
- Option "XkbRules" "xfree86"
- Option "XkbModel" "pc105"
- Option "XkbLayout" "_XF86_KEYBOARD_LAYOUT_"
- Option "XkbVariant" "_XF86_KEYBOARD_VARIANT_"
- Option "XkbOptions" "_XF86_KEYBOARD_OPTIONS_"
- Option "AutoRepeat" "500 30"
-EndSection
-
-Section "InputDevice"
- Identifier "Mouse1"
- Driver "mouse"
- Option "Emulate3Buttons"
- Option "Protocol" "auto"
- Option "Device" "/dev/input/mice"
- Option "ZAxisMapping" "4 5"
- Option "Buttons" "5"
-EndSection
-
-# **********************************************************************
-# Monitor section
-# No need to specify VertRefresh and HorizSync, as DDC2 data will
-# be used (if monitor is recent and supports it).
-# **********************************************************************
-Section "Monitor"
- Identifier "Monitor1"
- VendorName "Unknown"
- ModelName "Unknown"
-EndSection
-
-# **********************************************************************
-# Device (video card) section
-# **********************************************************************
-Section "Device"
- Identifier "VideoCard1"
- Driver "_VIDEO_CARD_DRIVER_"
-EndSection
-
-# **********************************************************************
-# Screen section
-# **********************************************************************
-Section "Screen"
- Identifier "Screen1"
- Device "VideoCard1"
- Monitor "Monitor1"
- DefaultColorDepth 24
- Subsection "Display"
- Depth 24
- Modes "1024x768" "800x600"
- ViewPort 0 0
- EndSubsection
-EndSection
-
-# **********************************************************************
-# Layout(s) section
-# **********************************************************************
-Section "ServerLayout"
- Identifier "Default"
- Screen "Screen1"
- InputDevice "Mouse1" "CorePointer"
- InputDevice "Keyboard1" "CoreKeyboard"
-EndSection
-
-EOF
-
-# The ! character is the SED delimiter
-sed -i -e "s!_HV_FONTS_PATH_!${HV_FONTS_PATH}!g" /etc/X11/XF86Config
-sed -i -e "s!_VIDEO_CARD_DRIVER_!${XF86_CARD_DRIVER}!g" /etc/X11/XF86Config
-sed -i -e "s!_XF86_KEYBOARD_LAYOUT_!${HV_XF86_KEYBOARD_LAYOUT}!g" /etc/X11/XF86Config
-sed -i -e "s!_XF86_KEYBOARD_VARIANT_!${HV_XF86_KEYBOARD_VARIANT}!g" /etc/X11/XF86Config
-sed -i -e "s!_XF86_KEYBOARD_OPTIONS_!${HV_XF86_KEYBOARD_OPTIONS}!g" /etc/X11/XF86Config
-
-cat > /etc/skel/.xinitrc << "EOF"
-# ~/.xinitrc
-
-exec wmaker
-EOF
-
-cat > /etc/skel/.Xdefaults << "EOF"
-xterm*scrollBar: false
-xterm*rightScrollBar: false
-xterm*saveLines: 1000
-xterm*geometry: 120x45+70+50
-xterm*background: #000000
-xterm*foreground: #A8A8A8
-xterm*color0: #000000
-xterm*color1: #A80000
-xterm*color2: #00A800
-xterm*color3: #A85400
-xterm*color4: #0000A8
-xterm*color5: #A800A8
-xterm*color6: #00A8A8
-xterm*color7: #A8A8A8
-xterm*color8: #545054
-xterm*color9: #F85450
-xterm*color10: #50FC50
-xterm*color11: #F2FC50
-xterm*color12: #5054F8
-xterm*color13: #F854F8
-xterm*color14: #50FCF8
-xterm*color15: #F8FCF8
-EOF
-
-cat > /etc/skel/.xsession << "EOF"
-#!/bin/sh
-# ~/.xsession
-
-userresources=$HOME/.Xresources
-usermodmap=$HOME/.Xmodmap
-sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
-sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
-
-# merge in defaults and keymaps
-
-if [ -f $sysresources ]; then
- xrdb -merge $sysresources
-fi
-
-if [ -f $sysmodmap ]; then
- xmodmap $sysmodmap
-fi
-
-if [ -f $userresources ]; then
- xrdb -merge $userresources
-fi
-
-if [ -f $usermodmap ]; then
- xmodmap $usermodmap
-fi
-
-# now, we see if xdm/gdm/kdm has asked for a specific environment
-
-case $# in
- 1)
- case $1 in
- kde)
- exec dbus-launch --exit-with-session startkde
- ;;
- twm)
- xsetroot -solid rgb:33/33/55 &
- xclock -digital -update 1 -geometry 180x23-5+5 &
- opera -geometry 1100x950+150+10 -iconic -title "Opera 6.0 TP3" &
- emacs -geometry 140x60-5+100 -iconic -title "Emacs" &
- xterm -ls -geometry 160x60+25-25 -title "xterm" &
- exec dbus-launch --exit-with-session twm
- ;;
- wmaker)
- exec dbus-launch --exit-with-session wmaker
- ;;
- failsafe)
- exec xterm -geometry 80x24-0-0
- ;;
- default)
- exec dbus-launch --exit-with-session wmaker
- ;;
- *)
- exec dbus-launch --exit-with-session wmaker
- ;;
- esac
- ;;
- *)
- exec dbus-launch --exit-with-session wmaker
- ;;
-esac
-
-exit 0
-EOF
-
-chmod 755 /etc/skel/.xsession
-
-cp /etc/skel/.{xinitrc,Xdefaults,xsession} /root
-cp /etc/skel/.{xinitrc,Xdefaults,xsession} /home/${REGUSER}
-
-var_add_path "PATH" /etc/profile "/usr/X11R6/bin"
-
-var_add_path "PKG_CONFIG_PATH" /etc/profile "/usr/X11R6/lib/pkgconfig"
-var_export "PKG_CONFIG_PATH" /etc/profile
-
-var_add_path "MANPATH" /etc/profile "/usr/X11R6/man"
-var_export "MANPATH" /etc/profile
-
-var_add_shadow "ENV_SUPATH" /etc/login.defs "/usr/X11R6/bin"
-
-string_add "/usr/X11R6/lib" /etc/ld.so.conf
-
-if [ "x${INST_TYPE}" = "xltsp-server" ]; then
- # Enable remote xdm login for LTSP clients
- sed -i -e "s@^\(DisplayManager.requestPort.*\)@!\1@g" /etc/X11/xdm/xdm-config
- chmod 644 /etc/X11/xdm/Xaccess
- sed -i -e "s@^#\(\*[\t ]*#any host can get a login window\)@\1@g" /etc/X11/xdm/Xaccess
- chmod 444 /etc/X11/xdm/Xaccess
-fi
-
-# When needed, XFree86 creates the directory /tmp/.ICE-unix if it does not
-# exist. If this directory is not owned by root, XFree86 delays startup by a
-# few seconds and also appends a warning to the logfile. This also affects
-# startup of other applications. To improve performance, it is advisable to
-# manually create the directory before XFree86 uses it.
-# startup script.
-#cat >> /etc/sysconfig/createfiles <<EOF
-# "EOF"
-#/tmp/.ICE-unix dir 1777 root root
-#EOF
-
-exit $?
-
# These packages are only for stage3
fpkg_gnu ${WHICH}
fpkg ${PCIUTILS} ftp://ftp.kernel.org/pub/software/utils/pciutils
+fpkg_sf ${LIBUSB}
+fpkg_sf ${LIBUSB_COMPAT} libusb
+fpkg ${USBUTILS} ${SOURCEFORGE_URL}/project/linux-usb/usbutils
fpkg ${REISERFSPROGS} http://www.kernel.org/pub/linux/utils/fs/reiserfs
fpkg ${NET_TOOLS} http://www.tazenda.demon.co.uk/phil/net-tools
fpkg ${DHCP} ftp://ftp.isc.org/isc/dhcp/dhcp-3.0-history
fpkg ${PERL_MOD_XML_WRITER} "http://www.cpan.org/modules/by-module/XML"
fpkg ${PERL_MOD_XML_PARSER} "http://www.cpan.org/modules/by-module/XML"
+fpkg_gnome ${INTLTOOL}
fpkg ${PYTHON} "http://www.python.org/ftp/python/$(get_pkg_ver ${PYTHON})"
ARCH_EXT=tgz fpkg ${SGML_COMMON} "http://gd.tuwien.ac.at/hci/kde/devel/docbook/SOURCES"
fpkg_hv ${DOCBOOK_XML}
fpkg_sf ${DOCBOOK_XSL} "docbook"
fpkg_sf ${XMLTOMAN}
+fpkg ${XMLTO} "https://fedorahosted.org/releases/x/m/xmlto"
fpkg_mis ${LIBJPEG} "jpegsrc.v$(get_pkg_ver ${LIBJPEG})" "http://www.ijg.org/files"
fpkg_mis ${LIBOPENJPEG} "openjpeg_v$(get_pkg_ver ${LIBOPENJPEG} | sed 's!\.!_!g')" "http://www.openjpeg.org"
ipkg_cust ${NANO} cis-nano --enable-color --enable-multibuffer
ipkg_ac ${WHICH}
ipkg_cust ${PCIUTILS} cis-pciutils
+ipkg_cust ${LIBUSB} cis-libusb
+ipkg_ac ${LIBUSB_COMPAT}
+ipkg_ac ${USBUTILS} --disable-zlib
ipkg_cust ${REISERFSPROGS} cis-reiserfsprogs
ipkg_cust ${NET_TOOLS} cis-net-tools
ipkg_cust ${DHCP} cis-dhcp
ipkg_pm ${PERL_MOD_XML_WRITER}
ipkg_pm ${PERL_MOD_XML_PARSER}
+ipkg_ac ${INTLTOOL}
ipkg_ac ${PYTHON} "--enable-shared"
# DocBook
ipkg_cust ${DOCBOOK_XML} cis-docbook-xml
ipkg_cust ${DOCBOOK_XSL} cis-docbook-xsl
ipkg_cust ${XMLTOMAN} cis-xmltoman
+ipkg_ac ${XMLTO}
# Graphic libraries
ipkg_ac ${LIBJPEG} "--enable-static --enable-shared"
--- /dev/null
+#!/bin/sh
+
+# dbus
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+dbus_start() {
+ if statusproc dbus-daemon | grep "not running" 1> /dev/null 2>&1; then
+ if [ -f /var/run/dbus/pid ]; then
+ rm /var/run/dbus/pid
+ fi
+ if [ -f /var/run/dbus/system_bus_socket ]; then
+ rm /var/run/dbus/system_bus_socket
+ fi
+ else
+ echo "Already running..."
+ return ${EXIT_CODE_WARNING}
+ fi
+
+ loadproc /usr/bin/dbus-daemon --config-file=/etc/dbus-1/system.conf
+
+ return $?
+}
+
+
+case "$1" in
+ start)
+ cmd_run_log_box_warn "D-Bus Messagebus Daemon start" dbus_start
+ ;;
+
+ stop)
+ cmd_run_log_box_warn "D-Bus Messagebus Daemon stop" killproc dbus-daemon &&
+ rm /var/run/dbus/pid &&
+ rm /var/run/dbus/system_bus_socket
+ ;;
+
+ status)
+ statusproc dbus-daemon
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ *)
+ echo "Usage: $0 {restart|start|status|stop}"
+ exit ${EXIT_CODE_FAILURE}
+ ;;
+esac
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+# hald
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+case "$1" in
+ start)
+ cmd_run_log_box_warn "HAL Daemon start" loadproc /usr/sbin/hald --use-syslog
+ ;;
+
+ stop)
+ cmd_run_log_box_warn "HAL Daemon stop" killproc /usr/sbin/hald
+ ;;
+
+ status)
+ statusproc hald
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ *)
+ echo "Usage: $0 {restart|start|status|stop}"
+ exit ${EXIT_CODE_FAILURE}
+ ;;
+esac
+
+exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+hv_groupadd -g 18 messagebus
+hv_useradd -c D-BUS-Message-Daemon-User -d /dev/null \
+ -u 18 -g messagebus -s /bin/false messagebus
+
+cd ${LFS_TMP}/${PACKAGE}-build
+../${PACKAGE}/configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib/dbus-1.0 \
+ --localstatedir=/var \
+ ${CONFIGURE_OPTS}
+make
+make install
+ldconfig
+
+# Bootscript
+install -v -m740 ${SCRDIR}/bootscripts/dbus /etc/rc.d/init.d
+
+# script-name start stop
+bootscript_add_rc3 dbus 92 20
+
+# Starting the session daemon here has the added bonus that it will exit
+# when you log out of your GNOME session. If you wish to start the daemon
+#here, use the following command instead of the one shown above:
+######echo "exec dbus-launch --exit-with-session gnome-session" >> ~/.xinitrc
+
+# Return last error
+exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}-build
+../${PACKAGE}/configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ ${CONFIGURE_OPTS}
+make
+make install
+ldconfig
+
+chmod -v 755 /usr/bin/gtester-report
+
+cat > /etc/profile.d/glib2-locale.sh << "EOF"
+# Use the current locale charset for filenames
+# in applications using GLib
+export G_FILENAME_ENCODING=@locale
+EOF
+
+exit $?
--- /dev/null
+1#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+hv_groupadd -g 19 haldaemon
+hv_useradd -c HAL-Daemon-User -d /dev/null -u 19 \
+ -g haldaemon -s /bin/false haldaemon
+
+cd ${LFS_TMP}/${PACKAGE}-build
+../${PACKAGE}/configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib/hal \
+ --localstatedir=/var \
+ --disable-policy-kit \
+ ${CONFIGURE_OPTS}
+make
+make install
+ldconfig
+
+install -v -m755 -d /var/run/hald
+
+# Bootscript
+install -v -m740 ${SCRDIR}/bootscripts/hald /etc/rc.d/init.d
+
+# script-name start stop
+bootscript_add_rc3 hald 93 19
+
+# If the system-wide D-BUS daemon was running during the
+# installation of HAL, ensure you stop and restart the
+# D-BUS daemon before attempting to start the hald daemon.
+#/etc/rc.d/init.d/dbus restart
+
+# Starting daemon
+#/etc/rc.d/init.d/hal start
+
+exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+./configure \
+ --prefix=${XORG_PREFIX} \
+ ${CONFIGURE_OPTS}
+sed -i "s@libdir)/X11/mwm@sysconfdir)/mwm@" clients/Motif-2.1/mwm/Makefile
+make rootdir=/usr/share/doc/${PACKAGE}
+make rootdir=/usr/share/doc/${PACKAGE} install
+ldconfig
+
+# Applicatons that utilize Xorg libraries often, and incorrectly, expect to find configuration
+# files in $XORG_PREFIX/lib/X11. While still the root user, create a compatibility symlink with
+# the following command:
+ln -v -sf /etc/X11/mwm ${XORG_PREFIX}/lib/X11
+
+exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+# Mesa builds with debugging symbols. Remove the -g switch from both CFLAGS and CXXFLAGS with this command:
+sed 's@FLAGS=\"-g@FLAGS=\"@' -i configure
+./configure --prefix=${XORG_PREFIX} \
+ --sysconfdir=/etc \
+ ${XORG_CONFIG} \
+ ${CONFIGURE_OPTS}
+make
+make install
+
+exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+install -v -d -m755 /usr/share/fonts
+ln -svfT ${XORG_PREFIX}/lib/X11/fonts/OTF /usr/share/fonts/X11-OTF
+ln -svfT ${XORG_PREFIX}/lib/X11/fonts/TTF /usr/share/fonts/X11-TTF
+
+exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Many package are still trying to find X in /usr/X11R6.
+# Until then, you can create a symbolic link to satisfy the /usr/X11R6
+# requirement so that you won't be inconvenienced with a package build
+# failure due to this known issue.
+#ln -scfT ${XORG_PREFIX} /usr/X11R6
+
+# Packages in Xorg store their configuration files in $XORG_PREFIX/lib/X11
+# by default. This is strictly against FHS guidelines. Correct the
+# installation /etc/X11 and create symlinks in the original location:
+mkdir -p /etc/X11
+for file in ${XORG_PREFIX}/{lib/X11/xinit,share/X11/{app-defaults,twm}}; do
+ mv -v $file /etc/X11/ 2> /dev/null
+ ln -v -s /etc/X11/$(basename $file) $file
+done
+
+
+
+exit 1
+
+
+
+
+cat > /etc/X11/xorg.conf << "EOF"
+# xorg.conf
+#
+# **********************************************************************
+# Files section.
+# **********************************************************************
+Section "Files"
+ RgbPath "/usr/X11R6/lib/X11/rgb"
+ ModulePath "/usr/X11R6/lib/modules" # Module search path
+ FontPath "_HV_FONTS_PATH_/TrueType"
+
+ # Standard XFree86 Fonts
+ FontPath "/usr/X11R6/lib/X11/fonts/TTF"
+ FontPath "/usr/X11R6/lib/X11/fonts/Type1"
+ FontPath "/usr/X11R6/lib/X11/fonts/misc/:unscaled"
+ FontPath "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
+ FontPath "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
+ FontPath "/usr/X11R6/lib/X11/fonts/local"
+ FontPath "/usr/X11R6/lib/X11/fonts/Speedo"
+ FontPath "/usr/X11R6/lib/X11/fonts/misc/"
+ FontPath "/usr/X11R6/lib/X11/fonts/100dpi/"
+ FontPath "/usr/X11R6/lib/X11/fonts/75dpi/"
+EndSection
+
+# **********************************************************************
+# Dynamically loadable modules section.
+# **********************************************************************
+Section "Module"
+ Load "dbe" # Double buffer extension
+
+ # This loads the miscellaneous extensions module, and disables
+ # initialisation of the XFree86-DGA extension within that module.
+ SubSection "extmod"
+ Option "omit xfree86-dga" # don't initialise the DGA extension
+ EndSubSection
+
+ # This loads the Type1 and FreeType font modules
+ Load "type1"
+ Load "speedo"
+ Load "freetype"
+
+ Load "glx"
+ Load "dri"
+EndSection
+
+# **********************************************************************
+# Input devices.
+# **********************************************************************
+Section "InputDevice"
+ Identifier "Keyboard1"
+ Driver "keyboard"
+ Option "XkbRules" "xfree86"
+ Option "XkbModel" "pc105"
+ Option "XkbLayout" "_XF86_KEYBOARD_LAYOUT_"
+ Option "XkbVariant" "_XF86_KEYBOARD_VARIANT_"
+ Option "XkbOptions" "_XF86_KEYBOARD_OPTIONS_"
+ Option "AutoRepeat" "500 30"
+EndSection
+
+Section "InputDevice"
+ Identifier "Mouse1"
+ Driver "mouse"
+ Option "Emulate3Buttons"
+ Option "Protocol" "auto"
+ Option "Device" "/dev/input/mice"
+ Option "ZAxisMapping" "4 5"
+ Option "Buttons" "5"
+EndSection
+
+# **********************************************************************
+# Monitor section
+# No need to specify VertRefresh and HorizSync, as DDC2 data will
+# be used (if monitor is recent and supports it).
+# **********************************************************************
+Section "Monitor"
+ Identifier "Monitor1"
+ VendorName "Unknown"
+ ModelName "Unknown"
+EndSection
+
+# **********************************************************************
+# Device (video card) section
+# **********************************************************************
+Section "Device"
+ Identifier "VideoCard1"
+ Driver "_VIDEO_CARD_DRIVER_"
+EndSection
+
+# **********************************************************************
+# Screen section
+# **********************************************************************
+Section "Screen"
+ Identifier "Screen1"
+ Device "VideoCard1"
+ Monitor "Monitor1"
+ DefaultColorDepth 24
+ Subsection "Display"
+ Depth 24
+ Modes "1024x768" "800x600"
+ ViewPort 0 0
+ EndSubsection
+EndSection
+
+# **********************************************************************
+# Layout(s) section
+# **********************************************************************
+Section "ServerLayout"
+ Identifier "Default"
+ Screen "Screen1"
+ InputDevice "Mouse1" "CorePointer"
+ InputDevice "Keyboard1" "CoreKeyboard"
+EndSection
+
+EOF
+
+# The ! character is the SED delimiter
+sed -i -e "s!_HV_FONTS_PATH_!${HV_FONTS_PATH}!g" /etc/X11/xorg.conf
+sed -i -e "s!_VIDEO_CARD_DRIVER_!${XF86_CARD_DRIVER}!g" /etc/X11/xorg.conf
+sed -i -e "s!_XF86_KEYBOARD_LAYOUT_!${HV_XF86_KEYBOARD_LAYOUT}!g" /etc/X11/xorg.conf
+sed -i -e "s!_XF86_KEYBOARD_VARIANT_!${HV_XF86_KEYBOARD_VARIANT}!g" /etc/X11/xorg.conf
+sed -i -e "s!_XF86_KEYBOARD_OPTIONS_!${HV_XF86_KEYBOARD_OPTIONS}!g" /etc/X11/xorg.conf
+
+cat > /etc/skel/.xinitrc << "EOF"
+# ~/.xinitrc
+
+exec wmaker
+EOF
+
+cat > /etc/skel/.Xdefaults << "EOF"
+xterm*scrollBar: false
+xterm*rightScrollBar: false
+xterm*saveLines: 1000
+xterm*geometry: 120x45+70+50
+xterm*background: #000000
+xterm*foreground: #A8A8A8
+xterm*color0: #000000
+xterm*color1: #A80000
+xterm*color2: #00A800
+xterm*color3: #A85400
+xterm*color4: #0000A8
+xterm*color5: #A800A8
+xterm*color6: #00A8A8
+xterm*color7: #A8A8A8
+xterm*color8: #545054
+xterm*color9: #F85450
+xterm*color10: #50FC50
+xterm*color11: #F2FC50
+xterm*color12: #5054F8
+xterm*color13: #F854F8
+xterm*color14: #50FCF8
+xterm*color15: #F8FCF8
+EOF
+
+cat > /etc/skel/.xsession << "EOF"
+#!/bin/sh
+# ~/.xsession
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
+sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ xmodmap $usermodmap
+fi
+
+# now, we see if xdm/gdm/kdm has asked for a specific environment
+
+case $# in
+ 1)
+ case $1 in
+ kde)
+ exec dbus-launch --exit-with-session startkde
+ ;;
+ twm)
+ xsetroot -solid rgb:33/33/55 &
+ xclock -digital -update 1 -geometry 180x23-5+5 &
+ opera -geometry 1100x950+150+10 -iconic -title "Opera 6.0 TP3" &
+ emacs -geometry 140x60-5+100 -iconic -title "Emacs" &
+ xterm -ls -geometry 160x60+25-25 -title "xterm" &
+ exec dbus-launch --exit-with-session twm
+ ;;
+ wmaker)
+ exec dbus-launch --exit-with-session wmaker
+ ;;
+ failsafe)
+ exec xterm -geometry 80x24-0-0
+ ;;
+ default)
+ exec dbus-launch --exit-with-session wmaker
+ ;;
+ *)
+ exec dbus-launch --exit-with-session wmaker
+ ;;
+ esac
+ ;;
+ *)
+ exec dbus-launch --exit-with-session wmaker
+ ;;
+esac
+
+exit 0
+EOF
+
+chmod 755 /etc/skel/.xsession
+
+cp /etc/skel/.{xinitrc,Xdefaults,xsession} /root
+cp /etc/skel/.{xinitrc,Xdefaults,xsession} /home/${REGUSER}
+
+##var_add_path "PATH" /etc/profile "/usr/X11R6/bin"
+#var_add_path "PKG_CONFIG_PATH" /etc/profile "/usr/X11R6/lib/pkgconfig"
+#var_export "PKG_CONFIG_PATH" /etc/profile
+#var_add_path "MANPATH" /etc/profile "/usr/X11R6/man"
+#var_export "MANPATH" /etc/profile
+#var_add_shadow "ENV_SUPATH" /etc/login.defs "/usr/X11R6/bin"
+#string_add "/usr/X11R6/lib" /etc/ld.so.conf
+
+
+if [ "x${INST_TYPE}" = "xltsp-server" ]; then
+ # Enable remote xdm login for LTSP clients
+ sed -i -e "s@^\(DisplayManager.requestPort.*\)@!\1@g" /etc/X11/xdm/xdm-config
+ chmod 644 /etc/X11/xdm/Xaccess
+ sed -i -e "s@^#\(\*[\t ]*#any host can get a login window\)@\1@g" /etc/X11/xdm/Xaccess
+ chmod 444 /etc/X11/xdm/Xaccess
+fi
+
+ When needed, the X Window System creates the directory /tmp/.ICE-unix if it does not exist. If this directory is not owned by root, the X Window System delays startup by a few seconds and also appends a warning to the logfile. This also affects startup of other applications. To improve performance, it is advisable to manually create the directory before the X Window System uses it. Add the file creation to /etc/sysconfig/createfiles that is sourced by the /etc/rc.d/init.d/cleanfs startup script.
+
+cat >> /etc/sysconfig/createfiles << "EOF"
+/tmp/.ICE-unix dir 1777 root root
+EOF
+
+exit $?
popd >> ${LFS_LOG_FILE}
done
-fpkg ${LIBXAU} ${XORG_URL}/lib
-fpkg ${LIBXDMCP} ${XORG_URL}/lib
-fpkg ${XBITMAPS} ${XORG_URL}/data
-fpkg ${XCURSOR_THEMES} ${XORG_URL}/data
-fpkg ${XKEYBOARD_CONFIG} http://xlibs.freedesktop.org/xkbdesc
-fpkg ${LUIT} ${XORG_URL}/app
-fpkg ${XORG_SERVER} ${XORG_URL}/xserver
+fpkg ${LIBXAU} ${XORG_URL}/lib
+fpkg ${LIBXDMCP} ${XORG_URL}/lib
+fpkg_sf ${LESSTIF}
+fpkg ${XBITMAPS} ${XORG_URL}/data
+fpkg ${LIBPTHREAD_STUBS} http://xcb.freedesktop.org/dist
+fpkg ${LIBDRM} http://dri.freedesktop.org/libdrm
+fpkg ${MESALIB} ftp://ftp.freedesktop.org/pub/mesa/$(get_pkg_ver ${MESALIB})
+fpkg ${XCURSOR_THEMES} ${XORG_URL}/data
+fpkg ${XKEYBOARD_CONFIG} http://xlibs.freedesktop.org/xkbdesc
+fpkg ${LUIT} ${XORG_URL}/app
+fpkg ${PIXMAN} "http://cairographics.org/releases"
+
+fpkg_gnome ${GLIB}
+fpkg ${DBUS} "http://dbus.freedesktop.org/releases/dbus"
+fpkg ${DBUS_GLIB} "http://dbus.freedesktop.org/releases/dbus-glib"
+fpkg ${HAL} http://hal.freedesktop.org/releases
+fpkg ${HAL_INFO} http://hal.freedesktop.org/releases
+
+fpkg ${XORG_SERVER} ${XORG_URL}/xserver
exit $?
--mandir=${XORG_PREFIX}/share/man \
--localstatedir=/var"
-MOD_NAME=$(get_pkg_name ${XORG_PROTO})
-
LFS_PKG_DIR_ORIG=${LFS_PKG_DIR}
-# build packages
-for package in $(grep -v '^#' ${LFS_PKG_DIR}/${XORG_PROTO}.wget); do
- LFS_PKG_DIR=${LFS_PKG_DIR_ORIG}/${MOD_NAME}
- SUBMOD="$(echo ${package} | sed 's!\.tar\.bz2$!!')"
- ##echo PKG=$SUBMOD
- ipkg_ac ${SUBMOD} ${XORG_CONFIG}
-done
+# Install all submodules in a module
+#
+# Arg #1: module name and version
+# Arg #2: optional configure arguments
+install_xorg_modules()
+{
+ local MODULE=${1}
+ shift
+ local CONFIGURE_OPTS=${*}
+
+ local MODULE_NAME=$(get_pkg_name ${MODULE})
+
+ local MY_XORG_CONFIG
+
+ for package in $(grep -v '^#' ${LFS_PKG_DIR}/${MODULE}.wget); do
+ LFS_PKG_DIR=${LFS_PKG_DIR_ORIG}/${MODULE_NAME}
+ SUBMOD="$(echo ${package} | sed 's!\.tar\.bz2$!!')"
+
+ # Special configure options for specific packages
+ case ${SUBMOD} in
+ libXfont-[0-9]* )
+ MY_XORG_CONFIG="--disable-devel-docs"
+ ;;
+ libX11-[0-9]* )
+ MY_XORG_CONFIG="--without-xcb"
+ ;;
+ xf86-video-s3-[0-9]* | xf86-video-xgi-[0-9]* )
+ #for file in `grep -Rl "xf86Version.h" *`; do
+ # sed 's@xf86Version.h@xorgVersion.h@g' -i "$file"
+ #done
+ #;;
+ esac
+
+ ipkg_ac ${SUBMOD} ${XORG_CONFIG} ${MY_XORG_CONFIG} ${CONFIGURE_OPTS}
+ done
+
+ LFS_PKG_DIR=${LFS_PKG_DIR_ORIG}
+}
+
+install_xorg_modules ${XORG_PROTO}
+install_xorg_modules ${XORG_UTIL}
+ipkg_ac ${LIBXAU} ${XORG_CONFIG}
+ipkg_ac ${LIBXDMCP} ${XORG_CONFIG}
+install_xorg_modules ${XORG_LIB}
+ipkg_cust ${LESSTIF} cis-lesstif "\
+ --sysconfdir=/etc/X11 \
+ --disable-debug \
+ --disable-build-tests \
+ --enable-production \
+ --with-xdnd \
+ --x-includes=$XORG_PREFIX/include \
+ --x-libraries=$XORG_PREFIX/lib"
+ipkg_ac ${XBITMAPS} ${XORG_CONFIG}
+ipkg_ac ${LIBPTHREAD_STUBS}
+ipkg_ac ${LIBDRM} --enable-udev
+ipkg_cust ${MESALIB} cis-mesalib --enable-motif
+install_xorg_modules ${XORG_APP}
+ipkg_ac ${XCURSOR_THEMES} ${XORG_CONFIG}
+install_xorg_modules ${XORG_FONT}
+rscr once "Configuring fonts" configure-fonts
+ipkg_ac ${XKEYBOARD_CONFIG} ${XORG_CONFIG} --with-xkb-rules-symlink=xorg
+ipkg_ac ${LUIT} ${XORG_CONFIG}
+ipkg_ac ${PIXMAN}
+
+ipkg_cust ${DBUS} cis-dbus
+ipkg_cust ${GLIB} cis-glib --with-pcre=system
+ipkg_ac ${DBUS_GLIB} "--disable-tests --disable-dependency-tracking --libexecdir=/usr/lib/dbus-1.0/dbus-1"
+ipkg_cust ${HAL} cis-hal
+ipkg_ac ${HAL_INFO}
+
+ipkg_ac ${XORG_SERVER} ${XORG_CONFIG} "\
+ --with-module-dir=${XORG_PREFIX}/lib/X11/modules \
+ --with-xkb-output=/var/lib/xkb \
+ --enable-install-setuid"
+
+install_xorg_modules ${XORG_DRIVER} --with-xorg-module-dir=${XORG_PREFIX}/lib/X11/modules
+
+rscr once "Configuring X.org" configure-xorg
+exit 1
#source /etc/profile
REGUSER="hugo"
# Destination path where to install new Linux-HV system
-LFS="/mnt/hvlinux-x86_64"
+LFS=""
# Destination partition where to install new Linux-HV system
LFS_PARTITION="/dev/sda8"
# architecture. Default is x86 32-bits architecture (i686).
# x86 (i686)
# x86_64 (AMD Athlon 64)
-HVL_TARGET="x86_64"
+HVL_TARGET="x86"
# Used for setting '-march=xxx' option in CFLAGS and CPPFLAGS
MACHINE_ARCHITECTURE="athlon-xp"